View Issue Details

IDProjectCategoryView StatusLast Update
07086Development [All Projects] Import/Exportpublic2013-03-05 16:29
Reportermfaber Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00 
Summary07086: Export results window (column control) shows SGQA-Codes instead of variable names
Description

Columns (variable) choice for us humans is easier done on variable name instead of the cryptic SGQA-codes. Variable names should be shown in the "column control" windows instead of these codes.

Steps To Reproduce

Choose any survey
Click on responses icon
choose responses and statistics
choose export results to application icon

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2012-12-15 11:55

developer   ~23250

Yes,

Take this one, have already worked on it.

DenisChenu

DenisChenu

2012-12-21 19:42

developer   ~23344

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10982

DenisChenu

DenisChenu

2012-12-21 22:27

developer   ~23345

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10983

Related Changesets

LimeSurvey: master 0b5c2c16

2012-12-21 18:39:58

DenisChenu

Details Diff
Fixed issue 07086: Export results window shows SGQA-Codes instead of variable names
Dev: adding 2 function to have fieldCode and filedText: maybe can be used in excle/csv export
Dev: viewHelper is a great idea, thanks to @mennodekker
Affected Issues
07086
mod - application/helpers/viewHelper.php Diff File
mod - application/views/admin/export/exportresults_view.php Diff File

LimeSurvey: 2.1 f4b8793d

2012-12-21 21:25:21

DenisChenu

Details Diff
Fixed issue 07086: Export results window shows SGQA-Codes instead of variable names
Dev: Fixed surveyTiming are not in export list
Affected Issues
07086
mod - application/controllers/admin/export.php Diff File
mod - application/helpers/viewHelper.php Diff File
mod - application/views/admin/export/exportresults_view.php Diff File

Issue History

Date Modified Username Field Change
2012-12-15 08:24 mfaber New Issue
2012-12-15 11:55 DenisChenu Note Added: 23250
2012-12-15 11:55 DenisChenu Assigned To => DenisChenu
2012-12-15 11:55 DenisChenu Status new => assigned
2012-12-15 11:55 DenisChenu Project Bug reports => Development
2012-12-21 19:42 DenisChenu Changeset attached => LimeSurvey master 0b5c2c16
2012-12-21 19:42 DenisChenu Note Added: 23344
2012-12-21 19:42 DenisChenu Resolution open => fixed
2012-12-21 22:27 DenisChenu Changeset attached => LimeSurvey 2.1 f4b8793d
2012-12-21 22:27 DenisChenu Note Added: 23345
2012-12-21 22:32 DenisChenu Status assigned => resolved
2012-12-21 22:32 DenisChenu Fixed in Version => 2.00
2013-03-05 16:29 c_schmitz Status resolved => closed